<div class="col-12 my-5" @Fading>
  <h3>{{title}}</h3>
  <button class="btn btn-primary" *ngIf="identity && identity.role=='ROLE_ADMIN'" routerLink="/artist-add">Añadir
    artista</button>
  <div class="card-container">
    <div class="card mt-3 col-sm-5 col-md-3 col-lg-2" *ngFor="let artist of artists">
      <a routerLink="/artist/{{artist._id}}">
        <img class="card-img-top" src="{{url + 'artist/get-image/' + artist._id}}" alt="imagen artista">
      </a>
      <div class="card-body">
        <h5 class="card-title"><a routerLink="/artist/{{artist._id}}" class="link1">{{artist.name}}</a></h5>
        <h6 class="card-subtitle mb-2 text-muted">{{artist.description}}</h6>
      </div>
      <div class="card-footer d-flex flex-row flex-wrap justify-content-around" *ngIf="identity.role=='ROLE_ADMIN'">
        <button class="btn btn-primary mt-1" routerLink="/artist/{{artist._id}}">Detalles</button>
        <button class="btn btn-warning mt-1" routerLink="/artist-edit/{{artist._id}}">Editar</button>
        <button class="btn btn-danger mt-1" data-toggle="modal" [attr.data-target]="'#modal'+artist._id">Borrar</button>
        <!-- Modal -->
        <div class="modal fade" id="{{'modal'+ artist._id}}" tabindex="-1" role="dialog" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Borrar {{artist.name}}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                ¿Seguro que quieres borrar el artista {{artist.name}}?
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">No, cerrar</button>
                <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="delete(artist._id)">Sí,
                  borrar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <nav aria-label="Page navigation" class="mt-2">
    <ul class="pagination">
      <li class="page-item">
        <button class="page-link" (click)="previousPage()" *ngIf="page > 1">Anterior</button>
      </li>
      <li class="page-item" *ngFor="let pag of arrayPages">
        <button class="page-link" (click)="clickPageNumber(pag)">{{pag}}</button>
      </li>
      <li class="page-item">
        <button class="page-link" (click)="nextPage()" *ngIf="page<totalPages">Siguiente</button>
      </li>
    </ul>
  </nav>
</div>